Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class NumberOfTransactionsPerStatus5

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.NumberOfTransactionsPerStatus5

    public class NumberOfTransactionsPerStatus5
    extends java.lang.Object

Java class for NumberOfTransactionsPerStatus5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NumberOfTransactionsPerStatus5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DtldNbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max15NumericText"/>
             <element name="DtldSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ExternalPaymentTransactionStatus1Code"/>
             <element name="DtldCtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}DecimalNumber" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.math.BigDecimal` `dtldCtrlSum`
`protected java.lang.String` `dtldNbOfTxs`
`protected java.lang.String` `dtldSts`

### Constructor Summary

Constructors
`NumberOfTransactionsPerStatus5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigDecimal` `getDtldCtrlSum()` Gets the value of the dtldCtrlSum property.
`java.lang.String` `getDtldNbOfTxs()` Gets the value of the dtldNbOfTxs property.
`java.lang.String` `getDtldSts()` Gets the value of the dtldSts property.
`void` `setDtldCtrlSum​(java.math.BigDecimal value)` Sets the value of the dtldCtrlSum property.
`void` `setDtldNbOfTxs​(java.lang.String value)` Sets the value of the dtldNbOfTxs property.
`void` `setDtldSts​(java.lang.String value)` Sets the value of the dtldSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dtldNbOfTxs

    protected java.lang.String dtldNbOfTxs

#### dtldSts

    protected java.lang.String dtldSts

#### dtldCtrlSum

    protected java.math.BigDecimal dtldCtrlSum

### Constructor Detail

#### NumberOfTransactionsPerStatus5

    public NumberOfTransactionsPerStatus5()

### Method Detail

#### getDtldNbOfTxs

    public java.lang.String getDtldNbOfTxs()

Gets the value of the dtldNbOfTxs property.

Returns:
  possible object is `String`

#### setDtldNbOfTxs

    public void setDtldNbOfTxs​(java.lang.String value)

Sets the value of the dtldNbOfTxs property.

Parameters:
  `value` - allowed object is `String`

#### getDtldSts

    public java.lang.String getDtldSts()

Gets the value of the dtldSts property.

Returns:
  possible object is `String`

#### setDtldSts

    public void setDtldSts​(java.lang.String value)

Sets the value of the dtldSts property.

Parameters:
  `value` - allowed object is `String`

#### getDtldCtrlSum

    public java.math.BigDecimal getDtldCtrlSum()

Gets the value of the dtldCtrlSum property.

Returns:
  possible object is `BigDecimal`

#### setDtldCtrlSum

    public void setDtldCtrlSum​(java.math.BigDecimal value)

Sets the value of the dtldCtrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`